Package com.pixelmed.convert

## Class RawImageDescription

- java.lang.Object
- - com.pixelmed.convert.RawImageDescription

-     public class RawImageDescription
      extends java.lang.Object

  A class for extracting a JSON encoded raw input format description.

  E.g.:

       {
              "type" : "float",
              "rows" : "1600",
              "columns" : "1600"
       }

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `columns` |
    `protected int` | `frames` |
    `protected boolean` | `isDataBigEndian` |
    `protected int` | `rows` |
    `protected com.pixelmed.convert.RawImageDescription.Type` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawImageDescription​(java.io.File formatFile)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.pixelmed.convert.RawImageDescription.Type` | `getType()` |
    `static void` | `main​(java.lang.String[] arg)` | Read a JSON encoded raw input format description and dump it.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected com.pixelmed.convert.RawImageDescription.Type type

    - #### rows

          protected int rows

    - #### columns

          protected int columns

    - #### frames

          protected int frames

    - #### isDataBigEndian

          protected boolean isDataBigEndian

  - ### Constructor Detail

    - #### RawImageDescription

          public RawImageDescription​(java.io.File formatFile)
                              throws java.io.IOException,
                                     java.lang.NumberFormatException

      Throws:
        `java.io.IOException`
        `java.lang.NumberFormatException`

  - ### Method Detail

    - #### getType

          public com.pixelmed.convert.RawImageDescription.Type getType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a JSON encoded raw input format description and dump it.

      Parameters:
        `arg` - the format description file